import { OverlayContainer } from '@angular/cdk/overlay';
import { Subject } from 'rxjs';
import { Theme } from './theming.model';
import * as i0 from "@angular/core";
export declare class ThemingService {
    private readonly overlay;
    theme: Theme;
    themeChange: Subject<Theme>;
    constructor(overlay: OverlayContainer);
    display(className: string, isDark?: boolean): string;
    setOverlay(theme: Theme): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThemingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ThemingService>;
}
